﻿.overlay {
    --scroll-bar-width: 16px;
    --bar-height: 0.75rem;
    --color-theme: #ffc800;
    --drawer-width: 500px;
    --drawer-height: 250px;
    --pulltab-width: 3rem;
    --pulltab-scrollbar-width: calc(var(--pulltab-width) + var(--scroll-bar-width));
    --y-offset: 150px;
    --rem: 25px;
}

div.rating-container {
    grid-column-start: 1;
    grid-row-start: 1;
    display: flex;
    width: var(--drawer-width);
    height: var(--drawer-height);
    position: fixed;
    top: 20vh;
    left: calc(100.5vw - var(--pulltab-width));
    transition: left 0.25s ease-in-out;
    box-sizing: border-box;
}

    div.rating-container:hover {
        left: calc(100vw - var(--drawer-width));
    }

div.rating-container.has-scroll-bar {
    left: calc(100.5vw - var(--pulltab-scrollbar-width))
}

    div.rating-container.has-scroll-bar:hover {
        left: calc(100vw - var(--drawer-width));
    }


div.rating-pulltab, div.rating-total, div.rating-panel, div.rating-button {
    background-color: white;
}

    div.rating-total, div.rating-panel , div.rating-button {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
    }

div.rating-panel {
    width: 40%;
}

div.rating-total {
    width: 60%;
}
div.rating-button{
    width:100%;
}

div.rating-pulltab {
    width: var(--pulltab-width);
    height: 7rem;
    margin: 4% 0 6% 0;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    text-align: center;
    padding: 1.5rem 0;
    box-shadow: -2px 0px 10px 0px rgba(0,0,0,0.2);
}

div.rating-panel {
    padding: 0 0 0 2.5rem;
    height: 100%;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

    div.rating-panel > *,
    div.rating-button> *,
    div.rating-total > * {
        width: 100%;
    }

div.rating-title {
    font-size: 1.75rem;
    margin-bottom: 0.25rem;
}

    div.rating-title > span {
        font-size: 10px;
        color: grey;
    }

div.rating-average {
    font-size: 1.5rem;
    margin: 0.25rem 0;
}

    div.rating-average span.user-rating {
        font-size: 3.5rem;
    }

    div.rating-average .out-of {
        color: grey;
    }

div#rating-root input {
    visibility: hidden;
    font-size: 1.5rem;
    cursor: pointer;
    user-select: none;
}

    div#rating-root input:before {
        content: "\2606";
        visibility: visible;
        color: var(--color-theme);
        position: relative;
        top: -15px;
        left: -5px;
    }

    div#rating-root input:checked:before {
        content: "\2605";
        color: var(--color-theme);
        position: relative;
        top: -15px;
        left: -5px;
    }

div#rating-total-root div.bar-container {
    display: flex;
    justify-content: space-between;
}

div#rating-total-root div.bar-container {
    width: 12.5rem;
    height: var(--bar-height);
    display: flex;
    justify-content: space-between;
    column-gap: 0.5rem;
    margin-bottom: 0.25rem;
}

div#rating-total-root div.bar {
    height: 100%;
    background-color: #eee;
    border-radius: var(--bar-height);
    width: 100%;
}

div#rating-total-root div.inner-bar {
    height: 100%;
    background-color: var(--color-theme);
    border-radius: var(--bar-height);
}

div#rating-total-root div.bar-value {
    font-size: var(--bar-height);
}

div#rating-total-root div.star {
    position: relative;
    top: -3px;
    width: 1rem;
    font-size: 0.5rem;
}

div#rating-total-root span.star-symbol {
    color: var(--color-theme);
}

